## golang-glide 0.11.0

=== Makefile ===
GLIDE_GO_EXECUTABLE ?= go
VERSION := $(shell git describe --tags)
DIST_DIRS := find * -type d -exec

build:
	${GLIDE_GO_EXECUTABLE} build -o glide -ldflags "-X main.version=${VERSION}" glide.go

install: build
	install -d ${DESTDIR}/usr/local/bin/
	install -m 755 ./glide ${DESTDIR}/usr/local/bin/glide

test:
	${GLIDE_GO_EXECUTABLE} test . ./gb ./path ./action ./tree ./util ./godep ./godep/strip ./gpm ./cfg ./dependency ./importer ./msg ./repo

clean:
	rm -f ./glide.test
	rm -f ./glide
	rm -rf ./dist

bootstrap-dist:
	${GLIDE_GO_EXECUTABLE} get -u github.com/mitchellh/gox

build-all:
	gox -verbose \
	-ldflags "-X main.version=${VERSION}" \
	-os="linux darwin windows " \
	-arch="amd64 386" \
	-output="dist/{{.OS}}-{{.Arch}}/{{.Dir}}" .

dist: build-all
	cd dist && \
	$(DIST_DIRS) cp ../LICENSE {} \; && \
	$(DIST_DIRS) cp ../README.md {} \; && \
	$(DIST_DIRS) tar -zcf glide-${VERSION}-{}.tar.gz {} \; && \
	$(DIST_DIRS) zip -r glide-${VERSION}-{}.zip {} \; && \
	cd ..


.PHONY: build test install clean bootstrap-dist build-all dist

=== debian/changelog ===
golang-glide (0.11.0-2) unstable; urgency=medium

  * Fix FTBFS on i386. Thanks to Aaron M. Ucko. Closes: #831334.

 -- Vincent Bernat <bernat@debian.org>  Thu, 14 Jul 2016 21:22:38 +0200

golang-glide (0.11.0-1) unstable; urgency=medium

  * Initial release (Closes: #821066)

 -- Vincent Bernat <bernat@debian.org>  Thu, 14 Jul 2016 09:57:51 +0200

=== debian/control ===
Source: golang-glide
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-gopkg-check.v1-dev,
               golang-gopkg-yaml.v2-dev,
               golang-github-masterminds-vcs-dev,
               golang-github-codegangsta-cli-dev,
               golang-github-masterminds-semver-dev,
Standards-Version: 3.9.8
Homepage: https://github.com/Masterminds/glide
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/glide.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/glide.git
XS-Go-Import-Path: github.com/Masterminds/glide

Package: glide
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Vendor package management for Go
 Glide is comparable to tools like Cargo, npm, Composer, Bundler, pip,
 Maven but for Go. It manages vendored packages with ease.
 .
 Packages to be vendored are listed in a configuration file at the
 root of a project along with the appropriate restriction on versions
 and Glide will download the most recent versions satisfying the
 constraints into the vendor directory. It will write a lock file to
 record the exact versions chosen.

## golang-glide 0.12.3

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,12 @@
 	install -m 755 ./glide ${DESTDIR}/usr/local/bin/glide
 
 test:
-	${GLIDE_GO_EXECUTABLE} test . ./gb ./path ./action ./tree ./util ./godep ./godep/strip ./gpm ./cfg ./dependency ./importer ./msg ./repo
+	${GLIDE_GO_EXECUTABLE} test . ./gb ./path ./action ./tree ./util ./godep ./godep/strip ./gpm ./cfg ./dependency ./importer ./msg ./repo ./mirrors
+
+integration-test:
+	${GLIDE_GO_EXECUTABLE} build
+	./glide up
+	./glide install
 
 clean:
 	rm -f ./glide.test
@@ -18,13 +23,17 @@
 	rm -rf ./dist
 
 bootstrap-dist:
-	${GLIDE_GO_EXECUTABLE} get -u github.com/mitchellh/gox
+	${GLIDE_GO_EXECUTABLE} get -u github.com/franciscocpg/gox
+	cd ${GOPATH}/src/github.com/franciscocpg/gox && git checkout dc50315fc7992f4fa34a4ee4bb3d60052eeb038e
+	cd ${GOPATH}/src/github.com/franciscocpg/gox && ${GLIDE_GO_EXECUTABLE} install
+
 
 build-all:
 	gox -verbose \
 	-ldflags "-X main.version=${VERSION}" \
-	-os="linux darwin windows " \
-	-arch="amd64 386" \
+	-os="linux darwin windows freebsd openbsd netbsd" \
+	-arch="amd64 386 armv5 armv6 armv7 arm64" \
+	-osarch="!darwin/arm64" \
 	-output="dist/{{.OS}}-{{.Arch}}/{{.Dir}}" .
 
 dist: build-all
@@ -36,4 +45,4 @@
 	cd ..
 
 
-.PHONY: build test install clean bootstrap-dist build-all dist
+.PHONY: build test install clean bootstrap-dist build-all dist integration-test

=== debian/changelog ===
golang-glide (0.12.3-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sun, 09 Oct 2016 16:00:02 +0200

golang-glide (0.12.1-1) unstable; urgency=medium

  * New upstream release.
  * d/patches: drop urfave/cli patch. codegangsta/cli Debian packages
    provide the appropriate compatibility layer.

 -- Vincent Bernat <bernat@debian.org>  Sat, 03 Sep 2016 12:13:43 +0200

golang-glide (0.12.0-1) unstable; urgency=medium

  * New upstream version.
  * d/control: depends on git.
  * d/control: tighten Build-Depends.
  * d/patches: replace codegangsta/cli by urfave/cli.
  * d/patches: skip more tests.
  * d/lintian-overrides: remove, not needed anymore.
  * d/copyright: exclude vendor/ directory (like dh-make-golang does).

 -- Vincent Bernat <bernat@debian.org>  Thu, 25 Aug 2016 10:03:03 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                golang-go,
                golang-gopkg-check.v1-dev,
                golang-gopkg-yaml.v2-dev,
-               golang-github-masterminds-vcs-dev,
-               golang-github-codegangsta-cli-dev,
-               golang-github-masterminds-semver-dev,
+               golang-github-masterminds-vcs-dev (>= 1.8),
+               golang-github-codegangsta-cli-dev (>= 1.16),
+               golang-github-masterminds-semver-dev (>= 1.1.1),
 Standards-Version: 3.9.8
 Homepage: https://github.com/Masterminds/glide
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/glide.git
@@ -21,7 +21,8 @@
 Architecture: any
 Built-Using: ${misc:Built-Using}
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         git
 Description: Vendor package management for Go
  Glide is comparable to tools like Cargo, npm, Composer, Bundler, pip,
  Maven but for Go. It manages vendored packages with ease.

=== debian/rules ===
#!/usr/bin/make -f

VERSION = $(shell dpkg-parsechangelog --show-field Version)

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build --buildsystem=golang -- -ldflags "-X main.version=$(VERSION)"

override_dh_auto_test:
	cp -a testdata obj-$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)/src/$(shell sed -n "s/^XS-Go-Import-Path: \(.*\)/\1/p" debian/control)/.
	dh_auto_test --buildsystem=golang

## golang-glide 0.13.0

=== debian/changelog ===
golang-glide (0.13.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: bump Standards-Version.
  * d/rules: use DEB_VERSION instead of our own VERSION.

 -- Vincent Bernat <bernat@debian.org>  Sat, 07 Oct 2017 13:58:30 +0200

golang-glide (0.12.3-2) unstable; urgency=medium

  * Rename binary package to golang-glide due to collision with source
    package glide. No transition package. Closes: #851818.

 -- Vincent Bernat <bernat@debian.org>  Thu, 19 Jan 2017 08:31:03 +0100

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,26 @@
 Build-Depends: debhelper (>= 9),
                dh-golang,
                golang-go,
+               golang-github-codegangsta-cli-dev (>= 1.16),
+               golang-github-masterminds-semver-dev (>= 1.3),
+               golang-github-masterminds-vcs-dev (>= 1.8),
+               golang-github-mitchellh-go-homedir-dev,
                golang-gopkg-check.v1-dev,
                golang-gopkg-yaml.v2-dev,
-               golang-github-masterminds-vcs-dev (>= 1.8),
-               golang-github-codegangsta-cli-dev (>= 1.16),
-               golang-github-masterminds-semver-dev (>= 1.1.1),
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1.0
 Homepage: https://github.com/Masterminds/glide
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/glide.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/glide.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-glide.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-glide.git
 XS-Go-Import-Path: github.com/Masterminds/glide
 
-Package: glide
+Package: golang-glide
 Architecture: any
 Built-Using: ${misc:Built-Using}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          git
+Breaks: glide (<< 0.12.3-2~)
+Replaces: glide (<< 0.12.3-2~)
 Description: Vendor package management for Go
  Glide is comparable to tools like Cargo, npm, Composer, Bundler, pip,
  Maven but for Go. It manages vendored packages with ease.

## golang-glide 0.13.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 GLIDE_GO_EXECUTABLE ?= go
-VERSION := $(shell git describe --tags)
 DIST_DIRS := find * -type d -exec
+VERSION ?= $(shell git describe --tags)
+VERSION_INCODE = $(shell perl -ne '/^var version.*"([^"]+)".*$$/ && print "v$$1\n"' glide.go)
+VERSION_INCHANGELOG = $(shell perl -ne '/^\# Release (\d+(\.\d+)+) / && print "$$1\n"' CHANGELOG.md | head -n1)
 
 build:
 	${GLIDE_GO_EXECUTABLE} build -o glide -ldflags "-X main.version=${VERSION}" glide.go
@@ -23,16 +25,13 @@
 	rm -rf ./dist
 
 bootstrap-dist:
-	${GLIDE_GO_EXECUTABLE} get -u github.com/franciscocpg/gox
-	cd ${GOPATH}/src/github.com/franciscocpg/gox && git checkout dc50315fc7992f4fa34a4ee4bb3d60052eeb038e
-	cd ${GOPATH}/src/github.com/franciscocpg/gox && ${GLIDE_GO_EXECUTABLE} install
-
+	${GLIDE_GO_EXECUTABLE} get -u github.com/Masterminds/gox
 
 build-all:
 	gox -verbose \
 	-ldflags "-X main.version=${VERSION}" \
 	-os="linux darwin windows freebsd openbsd netbsd" \
-	-arch="amd64 386 armv5 armv6 armv7 arm64" \
+	-arch="amd64 386 armv5 armv6 armv7 arm64 s390x" \
 	-osarch="!darwin/arm64" \
 	-output="dist/{{.OS}}-{{.Arch}}/{{.Dir}}" .
 
@@ -44,5 +43,16 @@
 	$(DIST_DIRS) zip -r glide-${VERSION}-{}.zip {} \; && \
 	cd ..
 
+verify-version:
+	@if [ "$(VERSION_INCODE)" = "v$(VERSION_INCHANGELOG)" ]; then \
+		echo "glide: $(VERSION_INCHANGELOG)"; \
+	elif [ "$(VERSION_INCODE)" = "v$(VERSION_INCHANGELOG)-dev" ]; then \
+		echo "glide (development): $(VERSION_INCHANGELOG)"; \
+	else \
+		echo "Version number in glide.go does not match CHANGELOG.md"; \
+		echo "glide.go: $(VERSION_INCODE)"; \
+		echo "CHANGELOG : $(VERSION_INCHANGELOG)"; \
+		exit 1; \
+	fi
 
-.PHONY: build test install clean bootstrap-dist build-all dist integration-test
+.PHONY: build test install clean bootstrap-dist build-all dist integration-test verify-version

=== debian/changelog ===
golang-glide (0.13.1-3) unstable; urgency=medium

  * Team upload.
  * Vcs-* urls: pkg-go-team -> go-team.

 -- Alexandre Viau <aviau@debian.org>  Tue, 06 Feb 2018 00:24:40 -0500

golang-glide (0.13.1-2) unstable; urgency=medium

  * Team upload.
  * point Vcs-* urls to salsa.d.o subproject

 -- Alexandre Viau <aviau@debian.org>  Thu, 25 Jan 2018 17:19:09 -0500

golang-glide (0.13.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Move to salsa.debian.org.
  * Priority extra -> optional.
  * Testsuite: autopkgtest-pkg-go.

 -- Alexandre Viau <aviau@debian.org>  Tue, 09 Jan 2018 14:58:11 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: golang-glide
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Vincent Bernat <bernat@debian.org>
 Build-Depends: debhelper (>= 9),
@@ -14,9 +14,10 @@
                golang-gopkg-yaml.v2-dev,
 Standards-Version: 4.1.1.0
 Homepage: https://github.com/Masterminds/glide
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-glide.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-glide.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-glide
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-glide.git
 XS-Go-Import-Path: github.com/Masterminds/glide
+Testsuite: autopkgtest-pkg-go
 
 Package: golang-glide
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build --buildsystem=golang -- -ldflags "-X main.version=$(DEB_VERSION)"

override_dh_auto_test:
	cp -a testdata obj-$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)/src/$(shell sed -n "s/^XS-Go-Import-Path: \(.*\)/\1/p" debian/control)/.
	dh_auto_test --buildsystem=golang

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/glide-$1.tar.gz/ \
  https://github.com/Masterminds/glide/releases .*/v?(\d[\d\.]*)\.tar\.gz
